# $Revision: 1.32 $, $Date: 2011/09/12 18:47:37 $
Summary:	Convert PostScript and PDF files into various vector-graphic formats
Summary(pl.UTF-8):	Konwerter PostScriptu i PDF do różnych formatów wektorowych
Name:		pstoedit
Version:	3.60
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/pstoedit/%{name}-%{version}.tar.gz
# Source0-md5:	1bd14f33c1cf57bf6880e2f8f3f93080
URL:		http://www.helga-glunz.homepage.t-online.de/pstoedit/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gd-devel
BuildRequires:	ghostscript
BuildRequires:	libEMF-devel
BuildRequires:	libplotter-devel >= 2.3
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libstdc++-devel >= 3.0
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	ming-devel
BuildRequires:	pkgconfig
Requires:	ghostscript
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pstoedit converts PostScript and PDF files into a wide variety of
editable (and not-so-editable) formats: gnuplot, idraw, xfig, tgif,
Tcl/Tk, HPGL, PIC, LaTeX2e, MetaPost, Sketch, KIllustrator, PDF, GNU
metafile, Java, DXF, Real3D, RenderMan, LightWave, Adobe Illustrator,
simplified PostScript, and any format that Ghostscript or the GNU
plotting utilities can output, such as Tektronix, CGM, and various
bitmap formats.

%description -l pl.UTF-8
pstoedit konwertuje pliki PostScript i PDF do wielu różnych mniej lub
bardziej zdatnych do edycji formatów: gnuplot, idraw, xfig, tgif,
Tcl/Tk, HPGL, PIC, LaTeX2e, MetaPost, Sketch, KIllustrator, PDF, GNU
metafile, Java, DXF, Real3D, RenderMan, LightWave, Adobe Illustrator,
uproszczony PostScript i dowolny format jaki mogą zapisywać
ghostscript lub GNU plotutils - np. Tektronix, CGM, różne formaty
rastrowe.

%package devel
Summary:	pstoedit library header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pstoedit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gd-devel
Requires:	libstdc++-devel

%description devel
pstoedit library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pstoedit.

%package static
Summary:	pstoedit static library
Summary(pl.UTF-8):	Statyczna biblioteka pstoedit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
pstoedit static library.

%description static -l pl.UTF-8
Statyczna biblioteka pstoedit.

%package drv-lplot
Summary:	lplot plugin for pstoedit library
Summary(pl.UTF-8):	Wtyczka lplot dla biblioteki pstoedit
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description drv-lplot
lplot plugin for pstoedit library. It uses libplotter library.

%description drv-lplot -l pl.UTF-8
Wtyczka lplot dla biblioteki pstoedit. Używa biblioteki libplotter.

%package drv-magick
Summary:	magick plugin for pstoedit library
Summary(pl.UTF-8):	Wtyczka magick dla biblioteki pstoedit
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description drv-magick
magick plugin for pstoedit library. It uses Magick++ library.

%description drv-magick -l pl.UTF-8
Wtyczka magick (libplotter) dla biblioteki pstoedit. Używa biblioteki
Magick++.

%package drv-swf
Summary:	swf plugin for pstoedit library
Summary(pl.UTF-8):	Wtyczka swf dla biblioteki pstoedit
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description drv-swf
swf plugin for pstoedit library. It uses Ming library.

%description drv-swf -l pl.UTF-8
Wtyczka swf dla biblioteki pstoedit. Używa biblioteki Ming.

%package drv-wmf
Summary:	wmf plugin for pstoedit library
Summary(pl.UTF-8):	Wtyczka wmf dla biblioteki pstoedit
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description drv-wmf
wmf plugin for pstoedit library. It uses libEMF library.

%description drv-wmf -l pl.UTF-8
Wtyczka wmf dla biblioteki pstoedit. Używa biblioteki libEMF.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GS=%{_bindir}/gs \
	--enable-static \
	--with-magick \
	--with-libemf-include=%{_includedir}/libEMF
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_aclocaldir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#install doc/pstoedit.1 $RPM_BUILD_ROOT%{_mandir}/man1

cp -af contrib/java $RPM_BUILD_ROOT%{_datadir}/pstoedit
%{__rm} $RPM_BUILD_ROOT%{_datadir}/pstoedit/java/*/{readme*,Makefile*} \
	$RPM_BUILD_ROOT%{_datadir}/pstoedit/java/Makefile* \
	$RPM_BUILD_ROOT%{_libdir}/pstoedit/lib*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{readme.txt,*.htm} contrib/java/java1/readme_java1.txt contrib/java/java2/readme_java2.html
%attr(755,root,root) %{_bindir}/pstoedit
%attr(755,root,root) %{_libdir}/libpstoedit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpstoedit.so.0
%dir %{_libdir}/pstoedit
%attr(755,root,root) %{_libdir}/pstoedit/libp2edrvstd.so*
%{_datadir}/pstoedit
%{_mandir}/man1/pstoedit.1*

%files drv-lplot
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pstoedit/libp2edrvlplot.so*

%files drv-magick
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pstoedit/libp2edrvmagick++.so*

%files drv-swf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pstoedit/libp2edrvswf.so*

%files drv-wmf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pstoedit/libp2edrvwmf.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpstoedit.so
%{_libdir}/libpstoedit.la
%{_includedir}/pstoedit
%{_pkgconfigdir}/pstoedit.pc
%{_aclocaldir}/pstoedit.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libpstoedit.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pstoedit.spec,v $
Revision 1.32  2011/09/12 18:47:37  qboosh
- updated to 3.60
- removed obsolete patches

Revision 1.31  2010/11/25 10:06:03  hawk
- release 4

Revision 1.30  2010/10/31 15:49:24  qboosh
- updated some deps

Revision 1.29  2010/10/28 16:47:58  hawk
- release 3

Revision 1.28  2010/07/04 12:45:37  hawk
- release 2

Revision 1.27  2010/05/14 02:07:20  sparky
- BR: ghostscript, pkgconfig

Revision 1.26  2010/04/19 17:45:37  sls
- added ming04.patch

Revision 1.25  2010/03/04 15:26:37  pluto
- updated to 3.50.

Revision 1.24  2008/10/15 19:20:17  qboosh
- updated to 3.45
- updated link patch, added ming patch

Revision 1.23  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.21  2006/03/13 23:55:57  maciek2w
- updated to 3.44

Revision 1.20  2006/03/08 20:24:03  qboosh
- updated to 3.43, updated link,am18 patches

Revision 1.19  2006/01/29 00:10:32  qboosh
- updated to 3.42, removed obsolete fix patch
- now uses GraphicsMagick++ instead of (Image)Magick++

Revision 1.18  2006/01/27 12:31:02  gotar
- upgraded to 3.41 (as 3.42 requires GraphicsMagick we don't have)

Revision 1.17  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.16  2005/01/07 20:33:33  qboosh
- updated to 3.40, updated no_pedantic,link patches, added fix patch
- use included pstoedit.m4 (+new am18 patch) instead of separate source

Revision 1.15  2004/12/11 00:50:03  ankry
- rel. 5

Revision 1.14  2004/06/02 23:01:09  qboosh
- added link patch, -devel R: libstdc++-devel, release 4

Revision 1.13  2004/06/02 22:35:07  qboosh
- cleanup, strict internal deps
- release 3 to get rid of bogus libexif dep in -drv-magick

Revision 1.12  2003/12/27 21:31:28  qboosh
- fixed quotation in pstoedit.m4
- rm plugins *.{la,a} for clean build
- release 2

Revision 1.11  2003/08/22 10:32:24  qboosh
- don't use distfiles for Source1 (text file)

Revision 1.10  2003/08/18 14:18:27  gotar
- upgraded to 3.33,
- fixed Source0,
- BR: bzip2-devel,
- no_pedantic patch.

Revision 1.9  2003/05/28 13:01:25  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/12/20 22:36:23  qboosh
- added wmf/emf plugin, moved pstoedit-config to -devel

Revision 1.6  2002/12/19 23:58:24  qboosh
- updated to 3.32, split into packages
- added opt patch and .m4 file from autotrace

Revision 1.5  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.4  2002/05/21 23:14:34  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/10/30 13:17:09  qboosh
- new: PS/PDF-to-other-formats converter; based on spec from Mandrake
